<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <form (ngSubmit) = "onFormSubmit(f.value)"  #f="ngForm" >
      <div class="form-group">
        <label for="username">
         UserName
        </label>
        <input type="text" id="userName" class="form-control" name = "username" required  ngModel >
      </div>
      <div class="form-group">
        <label for="password">
          Password
        </label>
        <input type="text" id="password" class="form-control" name = "password" required ngModel >
      </div>
      
      <button  type= "submit" class="btn btn-primary" >Submit</button>
    </form>
  </div>
</div>
